List of all members
clan::TextureCubeArray Class Reference
clanDisplay Display

2D texture cube array object class. More...

`#include <texture_cube_array.h>`

Inheritance diagram for clan::TextureCubeArray:

## Public Member Functions
Construction
| TextureCubeArray ()
| Constructs a null instance. More...
| TextureCubeArray (const std::shared_ptr< Texture_Impl > &impl)
| Constructs a texture from an implementation. More...
| TextureCubeArray (GraphicContext &context, int width, int height, int array_size, TextureFormat texture_format=tf_rgba8, int levels=1)
| Constructs a Texture. More...
| TextureCubeArray (GraphicContext &context, const Size &size, int array_size, TextureFormat texture_format=tf_rgba8, int levels=1)
| Constructs a Texture. More...
Attributes
int | get_width () const
| Get the texture width. More...
int | get_height () const
| Get the texture height. More...
Size | get_size () const
| Get the texture size. More...
int | get_array_size () const
| Get the texture array size. More...
Operations
void | set_image (GraphicContext &context, int array_index, TextureCubeDirection cube_direction, PixelBuffer &image, int level=0)
| Upload image to texture. More...
void | set_subimage (GraphicContext &context, int array_index, TextureCubeDirection cube_direction, int x, int y, const PixelBuffer &image, const Rect &src_rect, int level=0)
| Upload image to sub texture. More...
void | set_subimage (GraphicContext &context, int array_index, TextureCubeDirection cube_direction, const Point &point, const PixelBuffer &image, const Rect &src_rect, int level=0)
Public Member Functions inherited from clan::Texture
| Texture ()
| Constructs a null instance. More...
| Texture (GraphicContext &gc, PixelBufferSet pixelbuffer_set)
| Constructs a texture as described in a pixelbuffer set. More...
| Texture (const std::shared_ptr< Texture_Impl > &impl)
| Constructs a texture from an implementation. More...
| Texture (TextureProvider *provider)
| Constructs a texture from a texture provider. More...
virtual | ~Texture ()
bool | operator== (const Texture &other) const
| Equality operator. More...
bool | operator!= (const Texture &other) const
| Inequality operator. More...
bool | operator< (const Texture &other) const
| Less than operator. More...
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
float | get_min_lod () const
| Get the minimum level of detail. More...
float | get_max_lod () const
| Get the maximum level of detail. More...
float | get_lod_bias () const
| Get the level of detail bias constant. More...
int | get_base_level () const
| Get the texture base level. More...
int | get_max_level () const
| Get the texture max level. More...
TextureFilter | get_min_filter () const
| Get the texture minification filter. More...
TextureFilter | get_mag_filter () const
| Get the texture magnification filter. More...
bool | is_resident () const
| Returns true if texture is resident in texture memory. More...
TextureCompareMode | get_compare_mode () const
| Get the texture compare mode. More...
CompareFunction | get_compare_function () const
| Get the texture compare function. More...
TextureProvider * | get_provider () const
| Get Provider. More...
std::weak_ptr< Texture_Impl > | get_impl () const
| Get the implementation weakptr. More...
void | generate_mipmap ()
| Generate the mipmap. More...
void | set_min_lod (float min_lod)
| Set the minimum level of detail texture parameter. More...
void | set_max_lod (float max_lod)
| Set the maximum level of detail texture parameter. More...
void | set_lod_bias (float lod_bias)
| Sets the level of detail bias constant. More...
void | set_base_level (int base_level)
| Sets the texture base level texture parameter. More...
void | set_max_level (int max_level)
| Sets the texture max level texture parameter. More...
void | set_min_filter (TextureFilter filter)
| Set the minification filter. More...
void | set_mag_filter (TextureFilter filter)
| Set the magnification filter. More...
void | set_max_anisotropy (float max_anisotropy)
| Set the maximum degree of anisotropy. More...
void | set_texture_compare (TextureCompareMode mode, CompareFunction func)
| Sets the texture compare mode and compare function texture parameters. More...
Texture1D | to_texture_1d () const
| Dynamic cast to Texture1D. More...
Texture1DArray | to_texture_1d_array () const
| Dynamic cast to Texture1DArray. More...
Texture2D | to_texture_2d () const
| Dynamic cast to Texture2D. More...
Texture2DArray | to_texture_2d_array () const
| Dynamic cast to Texture2DArray. More...
Texture3D | to_texture_3d () const
| Dynamic cast to Texture3D. More...
TextureCube | to_texture_cube () const
| Dynamic cast to TextureCube. More...
TextureCubeArray | to_texture_cube_array () const
| Dynamic cast to TextureCubeArray. More...

## Additional Inherited Members
Static Public Member Functions inherited from clan::Texture
static Resource< Texture > | resource (GraphicContext &gc, const std::string &id, const ResourceManager &resources)
| Retrieves a Texture resource from the resource manager. More...
static Texture | load (GraphicContext &gc, const std::string &id, const XMLResourceDocument &doc, const ImageImportDescription &import_desc=ImageImportDescription())
| Loads a Texture from a XML resource definition. More...
Protected Attributes inherited from clan::Texture
std::shared_ptr< Texture_Impl > | impl

## Detailed Description

2D texture cube array object class.

The documentation for this class was generated from the following file:

- texture_cube_array.h